/****************************************************************************
 *
 * Copy right:   Qx.Chen jie
 * File name:    LedTask.c
 * Description:  主要负责：Led闪烁逻辑
 * History:      2021-07-05
 * Version:      V3.0
 ****************************************************************************/
#include "LedTask.h"

//局部变量申请
static StaticTask_t                 gProcess_Led_Task_t;
static UINT8                        gProcess_Led_TaskStack[PROC_LED_TASK_STACK_SIZE];
static osThreadId_t                 LedTaskId = NULL;
static process_LED 		            gProcess_Led_Task = PROCESS_LED_STATE_IDLE;
#define PROC_LED_STATE_SWITCH(a)    (gProcess_Led_Task = a)

//函数声明区

//线程任务区
static void LedTask(void* arg)
{
    osDelay(5000);//等待驻网延时5s
    while (true)
    {
        osDelay(100);
    }//while 循环
}
//Tcp线程初始化
void LedTaskInit(void *arg)
{
    osThreadAttr_t task_attr;
    //registerPSEventCallback(NB_GROUP_ALL_MASK, socketRegisterPSUrcCallback);
    memset(&task_attr,0,sizeof(task_attr));
    memset(gProcess_Led_TaskStack, 0xA5, PROC_LED_TASK_STACK_SIZE);
    task_attr.name = "Led_Task";
    task_attr.stack_mem = gProcess_Led_TaskStack;
    task_attr.stack_size = PROC_LED_TASK_STACK_SIZE;
    task_attr.priority = osPriorityBelowNormal;
    task_attr.cb_mem = &gProcess_Led_Task_t;
    task_attr.cb_size = sizeof(StaticTask_t);
    LedTaskId = osThreadNew(LedTask, NULL, &task_attr);
}
void LedTaskDeInit(void *arg)
{
    osThreadTerminate(LedTaskId);
    LedTaskId = NULL;
}