/****************************************************************************
 *
 * Copy right:   Qx.Chen jie
 * File name:    TcpTask.c
 * Description:  主要负责：1.数据发送、定时心跳上报，2.数据接收、命令接收及处理，3.Fota函数调用，4.驻网及失败状态监测与上报
 * History:      2021-07-05
 * Version:      V3.0
 ****************************************************************************/
#include "TcpTask.h"

//局部变量申请
static StaticTask_t                 gProcess_Tcp_Task_t;
static UINT8                        gProcess_Tcp_TaskStack[PROC_TCP_TASK_STACK_SIZE];
static QueueHandle_t                psEventQueueHandle;//状态转换队列句柄
static osThreadId_t                 TcpTaskId = NULL;
static process_TCP 		            gProcess_Tcp_Task = PROCESS_TCP_STATE_IDLE;
#define PROC_TCP_STATE_SWITCH(a)    (gProcess_Tcp_Task = a)
static eventCallbackMessage_t       *queueItem = NULL;
static UINT8                         gImsi[16] = {0};
static UINT32                        gCellID = 0;
static QueueHandle_t                 TcpRecvHandle = NULL;
static UINT8                         TcpRecvEnd = 0;

//函数声明区

//线程任务区
static void TcpTask(void* arg)
{
    osDelay(5000);//等待驻网延时5s
    while (true)
    {
        osDelay(100);
    }//while 循环
}
//Tcp线程初始化
void TcpTaskInit(void *arg)
{
    osThreadAttr_t task_attr;
    //registerPSEventCallback(NB_GROUP_ALL_MASK, socketRegisterPSUrcCallback);
    memset(&task_attr,0,sizeof(task_attr));
    memset(gProcess_Tcp_TaskStack, 0xA5, PROC_TCP_TASK_STACK_SIZE);
    task_attr.name = "Tcp_Task";
    task_attr.stack_mem = gProcess_Tcp_TaskStack;
    task_attr.stack_size = PROC_TCP_TASK_STACK_SIZE;
    task_attr.priority = osPriorityBelowNormal7;
    task_attr.cb_mem = &gProcess_Tcp_Task_t;
    task_attr.cb_size = sizeof(StaticTask_t);
    TcpTaskId = osThreadNew(TcpTask, NULL, &task_attr);
}
void TcpTaskDeInit(void *arg)
{
    osThreadTerminate(TcpTaskId);
    TcpTaskId = NULL;
}